package cn.com.qmth.stmms.biz.exam.model;

import cn.com.qmth.stmms.common.enums.SubjectiveStatus;

import javax.persistence.Column;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.persistence.Table;

import java.io.Serializable;

/**
 * 每个考生每个评卷分组状态
 */
@Entity
@Table(name = "eb_mark_group_student")
public class MarkGroupStudent implements Serializable {

    private static final long serialVersionUID = 2701810699367970775L;

    @EmbeddedId
    private MarkGroupStudentPK pk;

    /**
     * 考试ID
     */
    @Column(name = "exam_id", nullable = false)
    private Integer examId;

    /**
     * 科目代码
     */
    @Column(name = "subject_code", length = 32, nullable = false)
    private String subjectCode;

    /**
     * 状态
     */
    @Column(name = "status", length = 16, nullable = false)
    @Enumerated(EnumType.STRING)
    private SubjectiveStatus status;

    public MarkGroupStudent() {
        this.pk = new MarkGroupStudentPK();
    }

    public Integer getStudentId() {
        return pk.getStudentId();
    }

    public void setStudentId(Integer studentId) {
        this.pk.setStudentId(studentId);
    }

    public Integer getGroupNumber() {
        return pk.getGroupNumber();
    }

    public void setGroupNumber(Integer groupNumber) {
        this.pk.setGroupNumber(groupNumber);
    }

    public Integer getExamId() {
        return examId;
    }

    public void setExamId(Integer examId) {
        this.examId = examId;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public SubjectiveStatus getStatus() {
        return status;
    }

    public void setStatus(SubjectiveStatus status) {
        this.status = status;
    }
}
